## captain 1.0.1

=== debian/changelog ===
captain (1.0.1) xia; urgency=medium

  [ Clement Lefebvre ]
  * Remove unused code
  * Clean up UI
  * Round pkg size
  * l10n: Generate POT file
  * test: Add path argument
  * Remove unnecessary warning
  * l10n: Also parse desktop file

  [ Fabio Fantoni ]
  * Improve Debian packaging (#3)

  [ Clement Lefebvre ]
  * Update README
  * Add a handler for apt:// mime
  * Add a few checks for URL handler
  * Implement pkg installation for url handler
  * Reduce variable scope
  * Implement error messages
  * Update README
  * Improve details dialog
  * l10n: Update POT
  * Update README
  * README: Don't recommend to call captain directly for apt:// url
  * Divert apturl
  * Depend on python3-aptdaemon
  * UI improvements
  * .gitignore: Ignome all .ui~ files
  * Switch from mintcommon.aptdaemon to aptkit.simpleclient
  * url handler: Don't help the resolver

  [ Garrett Howard ]
  * README: Fix typos (#4)

  [ Clement Lefebvre ]
  * packaging: Don't remove diversions during upgrade

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Nov 2024 15:44:33 +0000

captain (1.0.0) wilma; urgency=medium

  * Initial version

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Sep 2024 11:57:00 -0000

## captain 1.0.2

=== debian/changelog ===
captain (1.0.2) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:36:17 +0000

## captain 1.0.3

=== debian/changelog ===
captain (1.0.3) xia; urgency=medium

  * Fix exception for .deb files missing an "Installed-Size"
  * Fix and simplify version/candidate check

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 Dec 2024 13:33:05 +0000

## captain 1.0.4

=== debian/changelog ===
captain (1.0.4) xia; urgency=medium

  * Fix opening .deb files with spaces in their path

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 05 Jan 2025 09:58:42 +0000

## captain 1.0.5

=== debian/changelog ===
captain (1.0.5) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 13:58:10 +0000

## captain 1.0.6

=== debian/changelog ===
captain (1.0.6) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 11:35:19 +0200

## captain 1.1.1

=== DESCRIPTION ===
Package: captain
Type: Package
Title: Running 'git' Pre-Commit Hooks
Version: 1.1.1
Authors@R: c(
    person("Alex", "Yahiaoui Martinez", , "yahiaoui-martinez.alex@outlook.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-5315-675X"))
    )
Description: Git hook scripts are useful for identifying simple issues before submission to code review. 'captain' (hook) is an R package to manage and run git pre-commit hooks.
License: MIT + file LICENSE
URL: https://github.com/alexym1/captain,
        https://alexym1.github.io/captain/
BugReports: https://github.com/alexym1/captain/issues
Depends: R (>= 4.1.0)
Imports: cli, fs, yaml
Suggests: devtools, covr, knitr, styler, testthat, withr
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2025-09-22 20:22:11 UTC; Admin
Author: Alex Yahiaoui Martinez [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-5315-675X>)
Maintainer: Alex Yahiaoui Martinez <yahiaoui-martinez.alex@outlook.com>
Repository: CRAN
Date/Publication: 2025-09-30 07:20:18 UTC

## captain 1.0.7

=== debian/changelog ===
captain (1.0.7) zara; urgency=medium

  [ Timothy Feierabend ]
  * fixed url parsing to accept apt: and apt:// (#13)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 17:37:16 +0200

=== debian/control ===
Source: captain
Section: admin
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 gir1.2-gtk-3.0,
 intltool,
 meson,
 python3-all,
 python3-apt,
 python3-gi,
 python3-nose,
 python3-setuptools,
 xauth,
 xvfb,
Standards-Version: 4.6.2

Package: captain
Architecture: all
Depends:
 aptkit,
 file,
 gir1.2-gtk-3.0 (>= 3.22.0),
 python3-apt,
 python3-debian,
 python3-gi,
 python3-setproctitle,
 ${misc:Depends},
 ${python3:Depends},
Description: Collection of APT tools
 Captain contains an installer for .deb files and an installer for apt:// urls.

## captain 1.0.9

=== debian/changelog ===
captain (1.0.9) zena; urgency=medium

  [ Serhan Tutar ]
  * Toggle word wrap on `textview_file_content` (#18)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 20 Nov 2025 14:40:11 +0000

captain (1.0.8) zena; urgency=medium

  [ Clement Lefebvre ]
  * Switch to XApp symbolic icons
  * Switch to XSI

  [ Timothy Feierabend ]
  * implemented installing multiple packages from apt url (#14)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 20 Nov 2025 14:34:12 +0000

## captain 1.1.0

=== debian/changelog ===
captain (1.1.0) zena; urgency=medium

  [ Michael Webster ]
  * Don't parse infobar status text as markup. No markup is used but text can include characters (<,>) that can be misinterpreted.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Dec 2025 16:23:12 +0000

## captain 1.1.1

=== debian/changelog ===
captain (1.1.1) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 16:48:35 +0000

## captain 1.1.2

=== debian/changelog ===
captain (1.1.2) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 15:53:41 +0000

## captain 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: captain
 Type: Package
 Title: Running 'git' Pre-Commit Hooks
-Version: 1.1.1
+Version: 1.2.0
 Authors@R: c(
     person("Alex", "Yahiaoui Martinez", , "yahiaoui-martinez.alex@outlook.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-5315-675X"))
@@ -13,14 +13,14 @@
 BugReports: https://github.com/alexym1/captain/issues
 Depends: R (>= 4.1.0)
 Imports: cli, fs, yaml
-Suggests: devtools, covr, knitr, styler, testthat, withr
+Suggests: devtools, covr, knitr, lintr, styler, testthat, withr
 VignetteBuilder: knitr
 Encoding: UTF-8
 RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2025-09-22 20:22:11 UTC; Admin
+Packaged: 2026-02-22 12:54:07 UTC; Admin
 Author: Alex Yahiaoui Martinez [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-5315-675X>)
 Maintainer: Alex Yahiaoui Martinez <yahiaoui-martinez.alex@outlook.com>
 Repository: CRAN
-Date/Publication: 2025-09-30 07:20:18 UTC
+Date/Publication: 2026-02-22 15:10:02 UTC
